package com.xhpc.system.mapper;

import com.xhpc.system.domain.XhpcTenantDomain;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


public interface XhpcTenantMapper {

    List<XhpcTenantDomain> getList(@Param("params") Map params);

    List<Map<String, Object>> getNameList(@Param("tenantId")String tenantId);

    int deleteByPrimaryKey(String tenantId);

    int deleteLogicByPrimaryKey(String tenantId);

    int insert(XhpcTenantDomain record);

    int insertSelective(XhpcTenantDomain record);

    XhpcTenantDomain selectByPrimaryKey(String tenantId);

    XhpcTenantDomain selectByName(String tenantName);

    XhpcTenantDomain selectByPkOrName(@Param("tenantId") String tenantId, @Param("tenantName") String tenantName);

    int updateByPrimaryKeySelective(XhpcTenantDomain record);

    int updateByPrimaryKey(XhpcTenantDomain record);

    int updateInfoByPrimaryKey(XhpcTenantDomain record);

    int updateStatusByPrimaryKey(XhpcTenantDomain record);

    int updateTenantConfigByPrimaryKey(XhpcTenantDomain record);

    List<XhpcTenantDomain> selectExpiredList();

    List<XhpcTenantDomain> selectExpiringList(String expireTime);
}